<!--Login Page Starts-->
<section id="login">
  <div class="container-fluid">
    <div class="row full-height-vh m-0">
      <div class="col-12 d-flex align-items-center justify-content-center">
        <div class="card">
          <div class="card-content">
            <div class="card-body login-img">
              <div class="row m-0">
                <div class="col-lg-6 d-lg-block d-none py-2 px-3 text-center align-middle">
                  <img src="../../assets/img/login.png" alt="" class="img-fluid mt-5" width="400"
                    height="230" />
                </div>
                <div class="col-lg-6 col-md-12 bg-white px-4 pt-3">
                  <h4 class="card-title mb-2">เข้าสู่ระบบ</h4>
                  <p class="card-text mb-3">
                    ยินดีต้อนรับสู่ระบบ Concrete Delivery Easy
                  </p>
                  <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                    <input type="text" formControlName="username"
                      [ngClass]="{'invalid':!loginForm.get('username').valid && (loginForm.get('username').dirty || loginForm.get('username').touched)}"
                      class="form-control  invalid" placeholder="Username" />
                    <small class="form-text text-muted danger"
                      *ngIf="!loginForm.get('username').valid && (loginForm.get('username').dirty || loginForm.get('username').touched)">กรุณากรอกผู้ใช้งานให้ถูกต้อง</small>
                    <input type="password" formControlName="password" class="form-control mt-3"
                      [ngClass]="{'invalid':!loginForm.get('password').valid && (loginForm.get('password').dirty || loginForm.get('password').touched)}"
                      placeholder="Password" />
                    <small class="form-text text-muted danger"
                      *ngIf="!loginForm.get('password').valid && (loginForm.get('password').dirty || loginForm.get('password').touched)">กรุณากรอกผู้ใช้งานให้ถูกต้อง</small>
                    <div class="d-flex justify-content-between mt-2">
                      <!-- <div class="remember-me">
                      <div class="custom-control custom-checkbox custom-control-inline mb-3">
                        <input type="checkbox" id="customCheckboxInline1" name="customCheckboxInline1"
                          class="custom-control-input" />
                        <label class="custom-control-label" for="customCheckboxInline1">
                          Remember Me
                        </label>
                      </div>
                    </div> -->
                      <!-- <div class="forgot-password-option">
                      <a [routerLink]="['/pages/forgotpassword']" class="text-decoration-none text-primary">Forgot
                        Password ?</a>
                    </div> -->
                    </div>
                    <div class="text-danger text-center" *ngIf="loginfail">
                      {{error_text}}
                    </div>
                    <div class="text-success text-center" *ngIf="loginsuccess">
                      กำลังเข้าสู่ระบบ...
                    </div>
                    <div class="fg-actions d-flex justify-content-between">
                      <!-- <div class="login-btn">
                      <button class="btn btn-outline-primary">
                        <a
                          [routerLink]="['/pages/register']"
                          class="text-decoration-none"
                          >Register</a
                        >
                      </button>
                    </div> -->
                      <div class="recover-pass">
                        <!-- <button class="btn btn-primary"> -->
                        <button type="submit" class="btn btn-raised mr-1 btn-primary "
                          [disabled]="loginForm.invalid">Login</button>
                        <!-- </button> -->
                      </div>
                    </div>
                  </form>
                  <!-- <hr class="m-0" />
                  <div class="d-flex justify-content-between mt-3">
                    <div class="option-login">
                      <h6 class="text-decoration-none text-primary">
                        Or Login With
                      </h6>
                    </div>
                    <div class="social-login-options">
                      <a class="btn btn-social-icon mr-2 btn-facebook">
                        <span class="fa fa-facebook"></span>
                      </a>
                      <a class="btn btn-social-icon mr-2 btn-twitter">
                        <span class="fa fa-twitter"></span>
                      </a>
                    </div>
                  </div> -->
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Login Page Ends-->